These are chat archives for arnaud-lb/php-rdkafka

27th
Sep 2017
jstean
@jstean
Sep 27 2017 10:27
image.png
just started getting "PHP Startup: Unable to load dynamic library '/usr/lib/php/20160303/rdkafka.so' - libcrypto.so.1.0.2:" tried to reinstall but getting the above
jstean
@jstean
Sep 27 2017 13:30
@edenhill i've installed kafkacat with "apt-get install kafkacat" however the -G options isn't listed nor works. can u suggest why?
Magnus Edenhill
@edenhill
Sep 27 2017 13:38
@jstean old version of kafkacat or librdkafka
jstean
@jstean
Sep 27 2017 13:42
@edenhill thanks, any idea about the Q above re unable to load rdkafka.so ? is this a conflict with openvpn ?
Magnus Edenhill
@edenhill
Sep 27 2017 13:48
@jstean try ldd -r <path/to/rdkafka.so> to figure out what its dependencies are.
jstean
@jstean
Sep 27 2017 13:49
@edenhill hmm, ok so a few "not founds", thats new it was working up until this weekend
jstean
@jstean
Sep 27 2017 13:56
@edenhill
libcrypto.so.1.0.2 => not found
libssl.so.1.0.2 => not found
Magnus Edenhill
@edenhill
Sep 27 2017 14:18
My guess is that rdkafka.so was compiled on another system, or when other library versions were available. Recompile it on the current system.
jstean
@jstean
Sep 27 2017 15:27
:+1: